Domains
Delete Domain
Remove a sending domain from your account using the AutoSend API.
DELETE
/
domains
/
{domainId}
curl --request DELETE \
--url https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111 \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111",
{
method: "DELETE",
headers: {
Authorization: "Bearer <token>",
},
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111", nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111"))
.header("Authorization", "Bearer <token>")
.DELETE()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require "net/http"
require "uri"
uri = URI.parse("https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111")
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri.request_uri)
request["Authorization"] = "Bearer <token>"
response = http.request(request)
puts response.body
{
"success": true,
"message": "Domain deleted successfully"
}
curl --request DELETE \
--url https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111 \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111",
{
method: "DELETE",
headers: {
Authorization: "Bearer <token>",
},
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111", nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111"))
.header("Authorization", "Bearer <token>")
.DELETE()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require "net/http"
require "uri"
uri = URI.parse("https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111")
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri.request_uri)
request["Authorization"] = "Bearer <token>"
response = http.request(request)
puts response.body
{
"success": true,
"message": "Domain deleted successfully"
}
Authorizations
Bearer authentication header of the form
Bearer <token>, where <token> is your API key.Path Parameters
The id of the domain to remove.
Response
Indicates whether the domain was removed successfully.
Confirmation message.Example:
"Domain deleted successfully"Error Responses
Returned when no domain with the given ID exists on the project.
{
"success": false,
"error": {
"message": "Domain not found",
"code": "DOMAIN_NOT_FOUND",
"status": 404
}
}
Related topics
ChangelogDelete ProjectWas this page helpful?
⌘I
curl --request DELETE \
--url https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111 \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.json())
const response = await fetch(
"https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111",
{
method: "DELETE",
headers: {
Authorization: "Bearer <token>",
},
}
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111", nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111"))
.header("Authorization", "Bearer <token>")
.DELETE()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
require "net/http"
require "uri"
uri = URI.parse("https://api.autosend.com/v1/domains/60d5ec49f1b2c72d9c8b1111")
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri.request_uri)
request["Authorization"] = "Bearer <token>"
response = http.request(request)
puts response.body
{
"success": true,
"message": "Domain deleted successfully"
}